Upsert Inventory by External IDs
curl --request PUT \
--url https://api.loopreturns.com/api/v1/inventories/external/{variantExternalId}/{locationExternalId} \
--header 'Content-Type: application/json' \
--header 'X-Authorization: <api-key>' \
--data '
{
"available_count": 42
}
'import requests
url = "https://api.loopreturns.com/api/v1/inventories/external/{variantExternalId}/{locationExternalId}"
payload = { "available_count": 42 }
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({available_count: 42})
};
fetch('https://api.loopreturns.com/api/v1/inventories/external/{variantExternalId}/{locationExternalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inventory": {
"available_count": 42,
"product_variant": {
"id": 674353902539857400,
"name": "Example Product",
"external_id": "4006381333931",
"sku": "EXAMPLEPRODUCT-VAR-1",
"weight_grams": 444,
"barcode": 23141001200513
},
"location": {
"id": 680118439701923300,
"name": "Main Warehouse",
"status": "active",
"address": {
"name": "Main Warehouse",
"company": "Universal Exports",
"address1": "1234 Example Street",
"address2": "Unit 19",
"city": "Townsville",
"region": "Louisiana",
"postal_code": 90210,
"country_code": "US"
},
"external_id": "main-warehouse"
}
}
}{
"errors": "Unauthorized."
}{
"message": "Resource not found."
}{
"message": "Multiple product variants match the provided external_id."
}{
"message": "The available count field is required.",
"errors": {
"available_count": [
"The available count field is required."
]
}
}Inventories
Upsert Inventory by External IDs
Upsert inventory details for a product variant at a location, identified by the variant’s external_id and the location’s external_id. If the inventory exists, it will be updated; if it doesn’t exist, it will be created. The product variant and location must already exist. If more than one product variant in the shop shares the same external_id, this request returns 409 Conflict.
PUT
/
inventories
/
external
/
{variantExternalId}
/
{locationExternalId}
Upsert Inventory by External IDs
Authorizations
API Scope: "Inventory (write)"
Path Parameters
The identifier provided as the external_id for this variant.
Maximum string length:
64Example:
"4006381333931"
The identifier provided as the external_id for this location.
Maximum string length:
64Example:
"main-warehouse"
Body
application/json
The number of product_variants available at location.
Example:
42
Response
Success
Show child attributes
Show child attributes